%global pkg color-theme
%global pkgname Emacs Color Themes

%if %($(pkg-config emacs) ; echo $?)
%global emacs_version 21.1
%global emacs_lispdir %{_datadir}/emacs/site-lisp
%global emacs_startdir %{_datadir}/emacs/site-lisp/site-start.d
%else
%global emacs_version %(pkg-config emacs --modversion)
%global emacs_lispdir %(pkg-config emacs --variable sitepkglispdir)
%global emacs_startdir %(pkg-config emacs --variable sitestartdir)
%endif

Name:		emacs-%{pkg}
Version:	6.6.0
Release:	4%{?dist}
Summary:	Color themes for Emacs

Group:		Applications/Editors
License:	GPLv2+
URL:		http://www.nongnu.org/color-theme
Source0:	http://ftp.twaren.net/Unix/NonGNU/color-theme/%{pkg}-%{version}.tar.gz
Source1:	emacs-color-theme-init.el
#Patches are submitted to upstream
#http://lists.nongnu.org/archive/html/color-theme-devel/2010-04/msg00000.html
#Patch to fix Makefile
Patch0:		emacs-%{pkg}-fix-compile.patch
#Patch to fix README
Patch1:		emacs-%{pkg}-fix-readme.patch
#Patch to fix License file
Patch2:		emacs-%{pkg}-fix-copying-eol.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:	noarch
BuildRequires:	emacs
Requires:	emacs >= %{emacs_version}

%description
%{pkgname} is an add-on package for GNU Emacs.
It provides a lot of different color themes to skin your Emacs greatly
improving the editing experience. It also includes a neat framework to
help you creating new themes from your current emacs customization's.
Also features an easy way to share your custom themes with the world.  

%package -n %{name}-el
Summary:	Elisp source files for %{pkgname} under GNU Emacs
Group:		Applications/Editors
Requires:	%{name} = %{version}-%{release}

%description -n %{name}-el
This package contains the elisp source files for %{pkgname} under GNU
Emacs. You do not need to install this package to run %{pkgname}.
Install the %{name} package to use %{pkgname} with GNU Emacs.

%prep
%setup -q -n %{pkg}-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{emacs_lispdir}/%{pkg}
mkdir -p %{buildroot}%{emacs_lispdir}/%{pkg}/themes
mkdir -p %{buildroot}%{emacs_startdir}/
cp %{SOURCE1} %{buildroot}%{emacs_startdir}/
cp *.el *.elc %{buildroot}%{emacs_lispdir}/%{pkg}
cp themes/*.el themes/*.elc %{buildroot}%{emacs_lispdir}/%{pkg}/themes

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README
%{emacs_lispdir}/%{pkg}/*.elc
%{emacs_lispdir}/%{pkg}/themes/*.elc
%dir %{emacs_lispdir}/%{pkg}
%{emacs_startdir}/emacs-color-theme-init.el

%files -n %{name}-el
%defattr(-,root,root,-)
%{emacs_lispdir}/%{pkg}/*.el
%{emacs_lispdir}/%{pkg}/themes/*.el

%changelog
* Sat Feb 19 2011 Arun SAG <sagarun@gmail.com> - 6.6.0-4
- Fix spec file for EPEL

* Sun May 9 2010 Arun SAG <sagarun@gmail.com> - 6.6.0-3
- clean section removed
- Added startup file emacs-color-theme-init.el
- 
* Sat Apr 17 2010 Arun SAG <sagarun@gmail.com> - 6.6.0-2
- Spec adjusted to obey latest emacs packaging guidelines
- License field corrected to GPLv2+

* Thu May 15 2009 Filippo Argiolas <fargiolas@gnome.org> - 6.6.0-1
- Initial packaging
